Package jebl.math

# Class MatrixCalcException.NotSquareMatrixException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jebl.math.MatrixCalcException
jebl.math.MatrixCalcException.NotSquareMatrixException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `MatrixCalcException`

public static class MatrixCalcException.NotSquareMatrixException extends MatrixCalcException

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class jebl.math.MatrixCalcException

`MatrixCalcException.NotSquareMatrixException, MatrixCalcException.PositiveDefiniteException`

## Constructor Summary

Constructors
Constructor
Description
`NotSquareMatrixException()`
`NotSquareMatrixException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotSquareMatrixException

public NotSquareMatrixException()

### NotSquareMatrixException

public NotSquareMatrixException(String message)